from django.urls import path, include

from booking.views.client_views import CreateBookingView, ClientBookingView, ClientBookingUpdateView
from booking.views.employee_views import  BookingListView

urlpatterns = [
    path('client/', include([
        path('', ClientBookingView.as_view(), name='client_booking'),
        path('create/', CreateBookingView.as_view(), name='client_booking_create'),
        path('<int:pk>/update/', ClientBookingUpdateView.as_view(), name='client_booking_update'),
        path('<int:pk>/active/', ClientBookingUpdateView.as_view(), name='client_booking_active'),
    ])),
    path('employee/', BookingListView.as_view(), name='employee_bookings'),
]